% dirs -- print the directory stack.
%
%      dirs
%
% Display the list of currently remembered directories.  Directories
% find their way onto the list with the 'pushd' command; you can get
% back up through the list with the 'popd' command.
%
% See also: pushd, popd

%% dirs.m --- the preceding comment is the documentation string.

% Copyright (C) 2000--2011 Ralph Schleicher

% Author: Ralph Schleicher <rs@ralph-schleicher.de>

% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License as
% published by the Free Software Foundation, either version 3 of
% the license, or (at your option) any later version.

% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.

% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

% Additional permission under GNU GPL version 3 section 7

% If you modify this program, or any covered work, by linking or
% combining it with MATLAB from The Mathworks, Inc. (or a modified
% version of MATLAB), containing parts covered by the same license
% as MATLAB, the licensors of this program grant you additional
% permission to convey the resulting work.

%% Code:

% Program entry point.
function dirs

  d = dir_stack;
  for i = 1:numel(d)
    fprintf(1, '%s\n', d{i});
  end

%% dirs.m ends here
